|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleFactory Class Reference
[QtGui module]

The QStyleFactory class creates QStyle objects. More...

     #include <QStyleFactory>

- List of all members, including inherited members

### Static Public Members

- QStyle * create ( const QString & key )
- QStringList keys ()

## Detailed Description

The QStyleFactory class creates QStyle objects.

The QStyle class is an abstract base class that encapsulates the look and feel of a GUI. QStyleFactory creates a QStyle object using the create() function and a key identifying the style. The styles are either built-in or dynamically loaded from a style plugin (see QStylePlugin).

The valid keys can be retrieved using the keys() function. Typically they include "windows", "motif", "cde", and "plastique" and "cleanlooks". Depending on the platform, "windowsxp" and "macintosh" may be available. Note that keys are case insensitive.

See also QStyle.

## Member Function Documentation

### QStyle * QStyleFactory::create ( const QString & key ) `[static]`

Creates a QStyle object that matches the given key. This is either a built-in style, or a style from a style plugin.

Note that keys are case insensitive.

See also keys().

### QStringList QStyleFactory::keys () `[static]`

Returns the list of valid keys, i.e. the leys this factory can create styles for.

See also create().